Skills
GET
/workspaces/{workspaceId}/inbox/skills
List Agent Skills
Paramètres de requête
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Corps de la réponse
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
results
array of object
obligatoire
Afficher les attributs enfants
results.createdAt
string
obligatoire
results.createdBy
string
obligatoire
results.description
string
obligatoire
results.id
string
obligatoire
results.name
string
obligatoire
results.updatedAt
string
obligatoire
results.updatedBy
string
obligatoire
results.valueType
string
obligatoire
AgentSkillValueType defines how can the Values of a Skill can be selected.
Possible values: single, multiple, boolean
results.values
array of object
obligatoire
Afficher les attributs enfants
results.values.createdAt
string
obligatoire
results.values.icon
string
obligatoire
results.values.id
string
obligatoire
results.values.value
string
obligatoire
results.workspaceId
string
obligatoire
Exemple de code
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/skills' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/workspaces/{workspaceId}/inbox/skills
Create Agent Skill
Corps de la requête
name
string
obligatoire
description
string
obligatoire
valueType
string
obligatoire
AgentSkillValueType defines how can the Values of a Skill can be selected.
Possible values: single, multiple, boolean
values
array of object
obligatoire
Afficher les paramètres enfants
values.value
string
obligatoire
values.icon
string
obligatoire
Corps de la réponse
createdAt
string
obligatoire
createdBy
string
obligatoire
description
string
obligatoire
id
string
obligatoire
name
string
obligatoire
updatedAt
string
obligatoire
updatedBy
string
obligatoire
valueType
string
obligatoire
AgentSkillValueType defines how can the Values of a Skill can be selected.
Possible values: single, multiple, boolean
values
array of object
obligatoire
Afficher les attributs enfants
values.createdAt
string
obligatoire
values.icon
string
obligatoire
values.id
string
obligatoire
values.value
string
obligatoire
workspaceId
string
obligatoire
Exemple de code
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/inbox/skills' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/workspaces/{workspaceId}/inbox/skills/{agentSkillId}
Get Agent Skill
Corps de la réponse
createdAt
string
obligatoire
createdBy
string
obligatoire
description
string
obligatoire
id
string
obligatoire
name
string
obligatoire
updatedAt
string
obligatoire
updatedBy
string
obligatoire
valueType
string
obligatoire
AgentSkillValueType defines how can the Values of a Skill can be selected.
Possible values: single, multiple, boolean
values
array of object
obligatoire
Afficher les attributs enfants
values.createdAt
string
obligatoire
values.icon
string
obligatoire
values.id
string
obligatoire
values.value
string
obligatoire
workspaceId
string
obligatoire
Exemple de code
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/skills/{agentSkillId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/workspaces/{workspaceId}/inbox/skills/{agentSkillId}
Update Agent Skill
Corps de la requête
name
string
description
string
valueType
string
AgentSkillValueType defines how can the Values of a Skill can be selected.
Possible values: single, multiple, boolean
values
array of object
Afficher les paramètres enfants
values.id
string
values.value
string
values.icon
string
values.createdAt
string
Corps de la réponse
createdAt
string
obligatoire
createdBy
string
obligatoire
description
string
obligatoire
id
string
obligatoire
name
string
obligatoire
updatedAt
string
obligatoire
updatedBy
string
obligatoire
valueType
string
obligatoire
AgentSkillValueType defines how can the Values of a Skill can be selected.
Possible values: single, multiple, boolean
values
array of object
obligatoire
Afficher les attributs enfants
values.createdAt
string
obligatoire
values.icon
string
obligatoire
values.id
string
obligatoire
values.value
string
obligatoire
workspaceId
string
obligatoire
Exemple de code
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/skills/{agentSkillId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/workspaces/{workspaceId}/inbox/skills/{agentSkillId}
Delete Agent Skill
Exemple de code
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/inbox/skills/{agentSkillId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'